<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script type="text/javascript">
        var a=["H","e","l","l","o"];

        function cargar(){
            var vector;
            var copia=[];
            var r;

            vector=document.querySelectorAll(".numeros span");
            r=document.querySelector(".resultado");
            
            //copia=Array.from(vector);//convierte un nodelist en array
            for(var c=0;c<vector.length;c++){
                copia[c]=vector[c];
            }
            copia.reverse();
            for(var i=0;i<copia.length;i++){
                
                r.innerHTML+=("<span>" +copia[i].innerHTML +"</span>");
                
            }
            
            

        };

        // function alReves(a1){
        //     var r=[];

        //     for(var c=a1.length-1;c>=0;c--){
        //         r.push(a1[c]);
        //     }
        //     return r;
        // };
        // console.log(alReves(a));







    </script>
</head>

<body onload="cargar()">
    <main>
        <header>
            <h1>Ejemplo 5</h1>
        </header>
        <section>
            <header>
                <h2>Enunciado</h2>
            </header>
            <article>
            Crear una funcion que le pases un array y te le devuelve al reves como realiza el metodo reverse de Javascript. Realizar el ejemplo sin utilizar reverse.
            </article>

            <section>
                <section class="numeros" >
                    <span>12</span>
                    <span>2</span>
                    <span>5</span>
                    <span>52</span>
                    
                </section>

                <section class="resultado">
                    
                </section>
                
            </section>
        </section>
    </main>
</body>
</html>